%define ghc_ver %(ghc --numeric-version)
%define pkg_name attoparsec

Name:          ghc-attoparsec
Version:       0.14.4
Release:       1mamba
Summary:       GHC library: Fast combinator parsing for bytestrings and text
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hackage.haskell.org/package/%{pkg_name}
Source:        http://hackage.haskell.org/package/attoparsec-%{version}/attoparsec-%{version}.tar.gz
Patch0:        ghc-attoparsec-0.14.4-ghc-9.4.8.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-hashable-devel
BuildRequires: ghc-integer-logarithms-devel
BuildRequires: ghc-libs
BuildRequires: ghc-primitive-devel
BuildRequires: ghc-scientific-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
Requires:      ghc = %{ghc_ver}

%description
A fast parser combinator library, aimed particularly at dealing efficiently with network protocols and complicated text/binary file formats.0

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n attoparsec-%{version}
%patch 0 -p1

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sat Dec 02 2023 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic version update by autodist

* Sun Apr 12 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.11.3.4-1mamba
- package created by autospec
